Subject: Re: bug#73178: 31.0.50; [PATCH] Improve the widget to customize icon

From: Eli Zaretskii <[email-masked]>
Date: Thu, 09 Jan 2025 16:35:56 +0200

> Date: Thu, 9 Jan 2025 11:01:40 +0100
> Cc: [email-masked]
> From: David Ponce <[email-masked]>
> 
> > I wanted to install this, but byte-compiler produces a warning:
> > 
> >      ELC      cus-edit.elc
> > 
> >    In toplevel form:
> >    cus-edit.el:5595:20: Warning: reference to free variable `custom-icon--texts-widget'
> > 
> > Is that a typo, and you actually meant custom-icon--texts-sub-type?
> > 
> > Also, could you please accompany the patch with the ChangeLog-style
> > commit log message (see CONTRIBUTE for the details)?  Otherwise, I
> > will have to write the log message manually when installing your
> > changes.
> > 
> > Thanks.
> 
> Hello Eli,
> 
> Hmm, it seems you didn't install the correct patch?
> I attached the correct patch (V2) which applies cleanly for me.
> Also below is my proposed ChangeLog.
> 
> Thank you, and thanks Mauro for your review.

Thanks, and sorry for missing the last patch earlier.

Now installed on master, and closing the bug.